<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}
require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(isset($_POST['oper'])){
	
	$acction=$_POST['oper'];
	$codigo=$_POST['id']; //codigo del regidtro
	$fecha=$_POST['txt_fecha_inasis'];
	$tip_inasis=$_POST['txt_tipo_falta_inasis'];
	$obs=$_POST['txt_obs_inasis'];
	$cod_estxasixgr=$_POST['dtMat'];
	$periodo=$_POST['periodo'];

	switch($acction){
		case 'del':
			$sql="delete from `aca_inasistencias`  WHERE id_inasistencia = '$codigo';";
		break;
		case 'edit';
			$codmatxest=$cod_estxasixgr[0]['idm'];
			$nhr=$cod_estxasixgr[0]['nhr'];
			$sql="UPDATE aca_inasistencias
				SET cod_estxasigxgrupo = '$codmatxest',periodo = '$periodo',fecha_falta = '$fecha',justificada = '$tip_inasis',obser_falta = '$obs', num_horas='$nhr' WHERE id_inasistencia = '$codigo'";
		break;
		case 'new':
			$cad="";
			for($i=0;$i<count($cod_estxasixgr);$i++){
				$nhr=$cod_estxasixgr[$i]['nhr'];
				$nhr=(empty($nhr) || $nhr==0) ? 1 : $nhr ;
				$cad.="('".$cod_estxasixgr[$i]['idm']."','$periodo','$fecha','$tip_inasis','$obs',".$nhr."),";
			}
			$cad=substr($cad,0,strlen($cad)-1);
			$sql="INSERT INTO aca_inasistencias (cod_estxasigxgrupo,periodo,fecha_falta,justificada,obser_falta,num_horas) VALUES $cad;";
		break;
		case 'consolid':
			$cad='';
			$dtsFal=$_POST[dtsfal];
			foreach($dtsFal as $v){
				$cad.="('".$v['id']."','$periodo','$fecha','$tip_inasis','Consolidado faltas',".$v['n']."),";
			}
			$cad=substr($cad,0,strlen($cad)-1);
			$sql="INSERT INTO aca_inasistencias (cod_estxasigxgrupo,periodo,fecha_falta,justificada,obser_falta,num_horas) VALUES $cad;";
		break;
		default:
			$sql="";
	}
	if($sql!=''){
		$academia->instruccion($sql);
		if($acction=='new'){
			$rta=array('error'=>$academia->extraer_error(),'id'=>$academia->ultima_fila());
			echo json_encode($rta);
		}else{
			$rta=array('error'=>$academia->extraer_error(),'id'=>$codigo);
			echo json_encode($rta);
		}
	}		
}
$academia->cerrar();
?>